package cn.qg.qaplatform.mapper.zdata;

import cn.qg.qaplatform.entity.zdata.VccUserEntity;

import java.util.List;
import java.util.Map;

public interface VccDataMapper {
    /**
     * 根据状态获取vcc用户
     */
    List<VccUserEntity> queryVccDataByStatus(Integer status);

    /**
     * 查看用户vcc状态
     */
    VccUserEntity queryUserVccStatus(String phoneNo);

    /**
     * 查看vcc风控授信信息
     */
    Map<String, Object> getVccRiskRecord(String uuid);

}
